from django import forms
from django.forms import inlineformset_factory
from dal.autocomplete import ModelSelect2Multiple

from .models import Job, Question


class JobForm(forms.ModelForm):
    class Meta:
        model = Job
        fields = ('title', 'description', 'tags')
        widgets = {
            'tags': ModelSelect2Multiple(url='jobs:tag-autocomplete')
        }


class QuestionForm(forms.ModelForm):
    class Meta:
        model = Question
        fields = '__all__'
        widgets = {
            'name': forms.widgets.TextInput()
        }


QuestionFormSet = inlineformset_factory(
    Job, Question, form=QuestionForm, can_delete=False, can_order=False)